# Package org.apache.coyote.http11.upgrade

Interface Summary
Interface | Description
--- | ---
UpgradeInbound | Deprecated Will be removed in Tomcat 8.0.x.

Class Summary
Class | Description
--- | ---
AbstractProcessor<S> |
AbstractServletInputStream | Implements the new Servlet 3.1 methods for `ServletInputStream`.
AbstractServletOutputStream | Implements the new Servlet 3.1 methods for `ServletOutputStream`.
AprProcessor |
AprServletInputStream |
AprServletOutputStream |
BioProcessor |
BioServletInputStream |
BioServletOutputStream |
Constants |
NioProcessor |
NioServletInputStream |
NioServletOutputStream |
UpgradeAprProcessor | Deprecated Will be removed in Tomcat 8.0.x.
UpgradeBioProcessor | Deprecated Will be removed in Tomcat 8.0.x.
UpgradeNioProcessor | Deprecated Will be removed in Tomcat 8.0.x.
UpgradeOutbound | Deprecated Will be removed in Tomcat 8.0.x.
UpgradeProcessor<S> | Deprecated Will be removed in Tomcat 8.0.x.